Extending Qt Creator Manual | ValueVisitor

Extending Qt Creator Manual 4.5.2

# ValueVisitor Class

(QmlJS::ValueVisitor)

- List of all members, including inherited members

## Public Functions

| ValueVisitor()
virtual | ~ValueVisitor()
virtual void | visit(const NullValue *)
virtual void | visit(const UndefinedValue *)
virtual void | visit(const UnknownValue *)
virtual void | visit(const NumberValue *)
virtual void | visit(const BooleanValue *)
virtual void | visit(const StringValue *)
virtual void | visit(const ObjectValue *)
virtual void | visit(const FunctionValue *)
virtual void | visit(const Reference *)
virtual void | visit(const ColorValue *)
virtual void | visit(const AnchorLineValue *)

## Member Function Documentation

### ValueVisitor::ValueVisitor()

Default constructs an instance of ValueVisitor.

### `[virtual]` ValueVisitor::~ValueVisitor()

Destroys the instance of ValueVisitor. The destructor is virtual.

### `[virtual]` void ValueVisitor::visit(const NullValue *)

### `[virtual]` void ValueVisitor::visit(const UndefinedValue *)

### `[virtual]` void ValueVisitor::visit(const UnknownValue *)

### `[virtual]` void ValueVisitor::visit(const NumberValue *)

### `[virtual]` void ValueVisitor::visit(const BooleanValue *)

### `[virtual]` void ValueVisitor::visit(const StringValue *)

### `[virtual]` void ValueVisitor::visit(const ObjectValue *)

### `[virtual]` void ValueVisitor::visit(const FunctionValue *)

### `[virtual]` void ValueVisitor::visit(const Reference *)

### `[virtual]` void ValueVisitor::visit(const ColorValue *)

### `[virtual]` void ValueVisitor::visit(const AnchorLineValue *)